> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send notification to donors



## OpenAPI

````yaml post /admin/donors/notify
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donors/notify:
    post:
      tags:
        - Donor
      summary: Send notification to donors
      operationId: 08f5c028e2289a1a3c13993735f46c6e
      requestBody:
        description: Data needed to send notification to donors
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  description: The id of the client
                  type: string
                  example: '1'
                hysform_id:
                  description: The id of the form
                  type: integer
                  example: 1
                emailset_id:
                  type: integer
                  example: 1
                donor_ids:
                  type: array
                  items:
                    type: integer
                  example: '[1,2,3]'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  success_message:
                    type: string
                    example: Account Notification Emails successfully sent to 2 Donors.
                  error_message:
                    type: string
                    example: 1 Account Notification Email failed to send.
                type: object
        '404':
          description: Donor Form Not Found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Donor Form Not Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````